Bug Hunting Session
Bug 122059 - ReportBuilder: GTK3: Crash in: Wallpaper::operator= Format -> Page crashes
Summary: ReportBuilder: GTK3: Crash in: Wallpaper::operator= Format -> Page crashes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0.1 target:6.3.0
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-12-12 19:34 UTC by Drew Jensen
Modified: 2018-12-17 09:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["Wallpaper::operator="]


Attachments
test file (61.84 KB, application/vnd.oasis.opendocument.database)
2018-12-12 19:34 UTC, Drew Jensen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Jensen 2018-12-12 19:34:11 UTC
Created attachment 147482 [details]
test file

6.3Alpha0 same problem.
Tried 6.1.4 without problem, but was only able to use GTK2 there, and then came back to 6.2Beta1 and with GTK2 enabled there is no crash:

But with GTK3 this:
This bug was filed from the crash reporting server and is br-df570dce-0ed0-4b9f-8637-b2d2064cb043.
=========================================

1: Start LibreOffice with GTK3 support enabled
2: Download and open attached file
3: Open the first report for editing
4: Try to open Page Format dialog (Format -> Page)
crash
Comment 1 Xisco Faulí 2018-12-12 22:23:20 UTC
I can't reproduce it in

Version: 6.3.0.0.alpha0+
Build ID: 3911bf8364dae4c855ad37237c114f9007f70657
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Drew Jensen 2018-12-12 22:54:49 UTC
Huh - here (Ubuntu 18.04.1 AMD64) just now reading your comment I've been using this session for an hour so with writer and calc, everything good, open that same odb, same report and same crash
Version: 6.3.0.0.alpha0+
Build ID: d8d231f97d829350d965105e3a5be119d1a6494c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-30_00:14:18
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Like I said too, switch that to use GTK2 here and the crash goes away.
Comment 3 Xisco Faulí 2018-12-12 22:58:36 UTC
and in safe mode ?
Comment 4 Drew Jensen 2018-12-12 23:08:36 UTC
Yes just now with 6.3 I closed out, renamed the user directory, started a fresh with a different odb and a working report, same crash when trying to open the format page dialog of the report open in edit mode.
Comment 5 MM 2018-12-13 19:27:38 UTC
Confirmed on mint 19 with Version: 6.3.0.0.alpha0+
Build ID: 5bb798a99e7b178ac57ee8c15238534723000bf9
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-12_22:23:43
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Xisco Faulí 2018-12-14 00:39:16 UTC
I can reproduce it in

Version: 6.3.0.0.alpha0+
Build ID: 44403d99d878555e0a139931f5b6cf2c7a9df68c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF-dbg, Branch:master, Time: 2018-12-13_08:06:35
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

from a daily build, but not with the bisect repos...
Comment 7 Xisco Faulí 2018-12-14 00:40:16 UTC
@Caolan, Do you reproduce this on your side ?
Comment 8 Caolán McNamara 2018-12-14 09:48:03 UTC
no, I can't, but I know that means that Application::GetDefParentDialog returned null in sfx2/source/dialog/tabdlg.cxx for some reason or other. Lets see if I can make things survive that.
Comment 9 Commit Notification 2018-12-14 11:05:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/c3d7933d0f5df37c69fdf5f238fbbd0bef8131d3%5E%21

Resolves: tdf#122059 don't crash with no parent for tabpage

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-12-14 11:05:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/47cbc0f705dc965e11282d9557bfe7e8e78fea0b%5E%21

Resolves: tdf#122059 don't crash with no parent for tabpage

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Caolán McNamara 2018-12-14 11:06:50 UTC
if I emulate the circumstances which I believe causes this crash, the above patch fixes it
Comment 12 MM 2018-12-16 22:43:49 UTC
Confirmed fixed on mint 19 with Version: 6.3.0.0.alpha0+
Build ID: 19d9ac1031a08525ed5a5638ceaf508be870825e
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-16_01:24:21
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded